Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIPanelMenuItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractPanelMenuItem
                          org.richfaces.component.UIPanelMenuItem

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxProps

    @Generated(value={"RichFaces CDK","4.3.0.Final"})
    public class UIPanelMenuItem

extends AbstractPanelMenuItem
implements javax.faces.component.behavior.ClientBehaviorHolder, AjaxProps

The <rich:panelMenuItem> component represents a single item inside a <rich:panelMenuGroup> component, which is in turn part of a <rich:panelMenu> component.

Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UIPanelMenuItem.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIPanelMenuItem()`

Method Summary
`Object` | `getData()` Serialized (on default with JSON) data passed to the client by a developer on an AJAX request.
`String` | `getDefaultEventName()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getLabel()` A localized user presentable name for this component.
`String` | `getLeftIconClass()` Space-separated list of CSS style class(es) to be applied to the left icon of the panel menu item.
`org.richfaces.PanelMenuMode` | `getMode()` Mode used for selecting of this item: default value is inherited from panelMenu
`String` | `getOnbeforedomupdate()` The client-side script method to be called after the ajax response comes back, but before the DOM is updated
`String` | `getOnbeforeselect()` The client-side script method to be called before the menu group is selected
`String` | `getOnbegin()` The client-side script method to be called before an ajax request.
`String` | `getOnclick()`
`String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
`String` | `getOndblclick()`
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getOnselect()` The client-side script method to be called after the menu group is selected
`String` | `getOnunselect()` The client-side script method to be called after the menu group is unselected
`Object` | `getRender()` IDs of components that will participate in the "render" portion of the Request Processing Lifecycle.
`String` | `getRightIconClass()` Space-separated list of CSS style class(es) to be applied to the right icon of the panel menu item.
`Boolean` | `getSelectable()` Defines whenever the item is selectable.
`String` | `getStatus()` Name of the request status component that will indicate the status of the Ajax request
`String` | `getStyle()`
`Boolean` | `getUnselectable()`
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isDisabled()` Defines whenever this component should be disabled.
`boolean` | `isLimitRender()` If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels
`void` | `setBypassUpdates(boolean bypassUpdates)`
`void` | `setData(Object data)`
`void` | `setDisabled(boolean disabled)`
`void` | `setLabel(String label)`
`void` | `setLeftIconClass(String leftIconClass)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setMode(org.richfaces.PanelMenuMode mode)`
`void` | `setOnbeforedomupdate(String onbeforedomupdate)`
`void` | `setOnbeforeselect(String onbeforeselect)`
`void` | `setOnbegin(String onbegin)`
`void` | `setOnclick(String onclick)`
`void` | `setOncomplete(String oncomplete)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setOnselect(String onselect)`
`void` | `setOnunselect(String onunselect)`
`void` | `setRender(Object render)`
`void` | `setRightIconClass(String rightIconClass)`
`void` | `setSelectable(Boolean selectable)`
`void` | `setStatus(String status)`
`void` | `setStyle(String style)`
`void` | `setUnselectable(Boolean unselectable)`

Methods inherited from class org.richfaces.component.AbstractPanelMenuItem
`getDisabledClass, getExecute, getLeftDisabledIcon, getLeftIcon, getName, getPanelMenu, getParentItem, getRightDisabledIcon, getRightIcon, getStyleClass, getValue, isActiveItem, isTopItem, setDisabledClass, setExecute, setLeftDisabledIcon, setLeftIcon, setName, setRightDisabledIcon, setRightIcon, setStyleClass, setValue`

Methods inherited from class org.richfaces.component.AbstractActionComponent
`queueEvent`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface org.richfaces.component.attribute.AjaxProps
`getExecute`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIPanelMenuItem

    public UIPanelMenuItem()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractPanelMenuItem`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isBypassUpdates

    public boolean isBypassUpdates()

  Description copied from class: `AbstractActionComponent`
  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input

  Specified by:
    `isBypassUpdates` in class `AbstractActionComponent`

### setBypassUpdates

    public void setBypassUpdates(boolean bypassUpdates)

  Specified by:
    `setBypassUpdates` in class `AbstractActionComponent`

### getData

    public Object getData()

  Description copied from interface: `AjaxProps`
  Serialized (on default with JSON) data passed to the client by a developer on an AJAX request. It's accessible via "event.data" syntax. Both primitive types and complex types such as arrays and collections can be serialized and used with data

  Specified by:
    `getData` in interface `AjaxProps`

### setData

    public void setData(Object data)

### isDisabled

    public boolean isDisabled()

  Description copied from class: `AbstractPanelMenuItem`
  Defines whenever this component should be disabled.

  Specified by:
    `isDisabled` in class `AbstractPanelMenuItem`

### setDisabled

    public void setDisabled(boolean disabled)

### getLabel

    public String getLabel()

  Description copied from class: `AbstractPanelMenuItem`
  A localized user presentable name for this component.

  Specified by:
    `getLabel` in class `AbstractPanelMenuItem`

### setLabel

    public void setLabel(String label)

### getLeftIconClass

    public String getLeftIconClass()

  Description copied from class: `AbstractPanelMenuItem`
  Space-separated list of CSS style class(es) to be applied to the left icon of the panel menu item.

  Specified by:
    `getLeftIconClass` in class `AbstractPanelMenuItem`

### setLeftIconClass

    public void setLeftIconClass(String leftIconClass)

### isLimitRender

    public boolean isLimitRender()

  Description copied from interface: `AjaxProps`
  If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels

  Specified by:
    `isLimitRender` in interface `AjaxProps`

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getMode

    public org.richfaces.PanelMenuMode getMode()

  Description copied from class: `AbstractPanelMenuItem`
  Mode used for selecting of this item: default value is inherited from panelMenu

  Specified by:
    `getMode` in class `AbstractPanelMenuItem`

### setMode

    public void setMode(org.richfaces.PanelMenuMode mode)

### getOnbeforedomupdate

    public String getOnbeforedomupdate()

  Description copied from interface: `AjaxProps`
  The client-side script method to be called after the ajax response comes back, but before the DOM is updated

  Specified by:
    `getOnbeforedomupdate` in interface `AjaxProps`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(String onbeforedomupdate)

### getOnbeforeselect

    public String getOnbeforeselect()

  Description copied from class: `AbstractPanelMenuItem`
  The client-side script method to be called before the menu group is selected

  Specified by:
    `getOnbeforeselect` in class `AbstractPanelMenuItem`

### setOnbeforeselect

    public void setOnbeforeselect(String onbeforeselect)

### getOnbegin

    public String getOnbegin()

  Description copied from interface: `AjaxProps`
  The client-side script method to be called before an ajax request.

  Specified by:
    `getOnbegin` in interface `AjaxProps`

### setOnbegin

    public void setOnbegin(String onbegin)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractPanelMenuItem`

### setOnclick

    public void setOnclick(String onclick)

### getOncomplete

    public String getOncomplete()

  Description copied from interface: `AjaxProps`
  The client-side script method to be called after the DOM is updated

  Specified by:
    `getOncomplete` in interface `AjaxProps`

### setOncomplete

    public void setOncomplete(String oncomplete)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractPanelMenuItem`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractPanelMenuItem`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractPanelMenuItem`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractPanelMenuItem`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractPanelMenuItem`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractPanelMenuItem`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getOnselect

    public String getOnselect()

  Description copied from class: `AbstractPanelMenuItem`
  The client-side script method to be called after the menu group is selected

  Specified by:
    `getOnselect` in class `AbstractPanelMenuItem`

### setOnselect

    public void setOnselect(String onselect)

### getOnunselect

    public String getOnunselect()

  Description copied from class: `AbstractPanelMenuItem`
  The client-side script method to be called after the menu group is unselected

  Specified by:
    `getOnunselect` in class `AbstractPanelMenuItem`

### setOnunselect

    public void setOnunselect(String onunselect)

### getRender

    public Object getRender()

  Description copied from interface: `AjaxProps`
  IDs of components that will participate in the "render" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of Id's, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords

  Specified by:
    `getRender` in interface `AjaxProps`

### setRender

    public void setRender(Object render)

### getRightIconClass

    public String getRightIconClass()

  Description copied from class: `AbstractPanelMenuItem`
  Space-separated list of CSS style class(es) to be applied to the right icon of the panel menu item.

  Specified by:
    `getRightIconClass` in class `AbstractPanelMenuItem`

### setRightIconClass

    public void setRightIconClass(String rightIconClass)

### getSelectable

    public Boolean getSelectable()

  Description copied from class: `AbstractPanelMenuItem`
  Defines whenever the item is selectable.

  Specified by:
    `getSelectable` in class `AbstractPanelMenuItem`

### setSelectable

    public void setSelectable(Boolean selectable)

### getStatus

    public String getStatus()

  Description copied from interface: `AjaxProps`
  Name of the request status component that will indicate the status of the Ajax request

  Specified by:
    `getStatus` in interface `AjaxProps`

### setStatus

    public void setStatus(String status)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in class `AbstractPanelMenuItem`

### setStyle

    public void setStyle(String style)

### getUnselectable

    public Boolean getUnselectable()

  Specified by:
    `getUnselectable` in class `AbstractPanelMenuItem`

### setUnselectable

    public void setUnselectable(Boolean unselectable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.